List chat sessions
curl --request GET \
--url https://backend.drivehealth.ai/api/chats/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.drivehealth.ai/api/chats/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.drivehealth.ai/api/chats/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"chat_id": "9f8e7d6c-5b4a-4938-8271-6a5b4c3d2e1f",
"assistant_id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"assistant_name": "Appointments",
"status": "active",
"user_message_count": 1,
"assistant_message_count": 2,
"created_at": "2026-10-20T14:02:11Z",
"updated_at": "2026-10-20T14:03:05Z"
}
]
}
Results
List chat sessions
List chat sessions owned by your organization. Filters narrow the list within your organization; they cannot reach past it.
GET
/
api
/
chats
/
sessions
List chat sessions
curl --request GET \
--url https://backend.drivehealth.ai/api/chats/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.drivehealth.ai/api/chats/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.drivehealth.ai/api/chats/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"chat_id": "9f8e7d6c-5b4a-4938-8271-6a5b4c3d2e1f",
"assistant_id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"assistant_name": "Appointments",
"status": "active",
"user_message_count": 1,
"assistant_message_count": 2,
"created_at": "2026-10-20T14:02:11Z",
"updated_at": "2026-10-20T14:03:05Z"
}
]
}
Authorizations
organizationBearerorganizationApiKey
An organization API key starting with dh_, sent as Authorization: Bearer dh_your_api_key.
Query Parameters
Page number, starting at 1.
Required range:
x >= 1Number of records per page.
Required range:
x >= 1Return only records for this caregiver.
